<?xml version="1.0" encoding="utf-8"?>
<androidx.constraintlayout.widget.ConstraintLayout xmlns:android="http://schemas.android.com/apk/res/android"
    xmlns:app="http://schemas.android.com/apk/res-auto"
    android:layout_width="match_parent"
    android:layout_height="match_parent"
    android:background="@color/white">

    <com.example.base.widget.TitleBar
        android:id="@+id/mTitleBar"
        style="@style/Custom.TitleBar"
        app:layout_constraintEnd_toEndOf="parent"
        app:layout_constraintStart_toStartOf="parent"
        app:layout_constraintTop_toTopOf="parent"
        app:navigationIcon="@drawable/ic_back_black"
        app:title="意见反馈" />

    <androidx.core.widget.NestedScrollView
        android:layout_width="match_parent"
        android:layout_height="0dp"
        app:layout_constraintBottom_toTopOf="@id/layout_bottom"
        app:layout_constraintTop_toBottomOf="@id/mTitleBar">

        <androidx.constraintlayout.widget.ConstraintLayout
            android:layout_width="match_parent"
            android:layout_height="wrap_content"
            android:padding="@dimen/dp_16">

            <TextView
                android:id="@+id/tv_feedback_type_title"
                android:layout_width="wrap_content"
                android:layout_height="wrap_content"
                android:text="请选择您要反馈的问题"
                android:textColor="@color/color_1a1a1a"
                android:textSize="@dimen/sp_14"
                android:textStyle="bold"
                app:layout_constraintStart_toStartOf="parent"
                app:layout_constraintTop_toTopOf="parent" />

            <TextView
                android:layout_width="wrap_content"
                android:layout_height="wrap_content"
                android:text="*"
                android:textColor="@color/color_ff3838"
                android:textSize="@dimen/sp_14"
                app:layout_constraintStart_toEndOf="@id/tv_feedback_type_title"
                app:layout_constraintTop_toTopOf="@id/tv_feedback_type_title" />

            <RadioGroup
                android:id="@+id/rg_feedback_type"
                android:layout_width="match_parent"
                android:layout_height="wrap_content"
                android:layout_marginTop="@dimen/dp_16"
                android:orientation="horizontal"
                app:layout_constraintStart_toStartOf="parent"
                app:layout_constraintTop_toBottomOf="@id/tv_feedback_type_title">

                <RadioButton
                    android:id="@+id/rg_1"
                    android:layout_width="wrap_content"
                    android:layout_height="@dimen/dp_32"
                    android:background="@drawable/selector_feedback_type_bg"
                    android:button="@null"
                    android:checked="true"
                    android:gravity="center"
                    android:paddingStart="@dimen/dp_14"
                    android:paddingEnd="@dimen/dp_14"
                    android:text="产品建议"
                    android:textColor="@drawable/selector_feedback_text_color"
                    android:textSize="@dimen/sp_14" />

                <RadioButton
                    android:id="@+id/rg_2"
                    android:layout_width="wrap_content"
                    android:layout_height="@dimen/dp_32"
                    android:layout_marginStart="@dimen/dp_12"
                    android:background="@drawable/selector_feedback_type_bg"
                    android:button="@null"
                    android:gravity="center"
                    android:paddingStart="@dimen/dp_14"
                    android:paddingEnd="@dimen/dp_14"
                    android:text="功能异常"
                    android:textColor="@drawable/selector_feedback_text_color"
                    android:textSize="@dimen/sp_14" />

                <RadioButton
                    android:id="@+id/rg_3"
                    android:layout_width="wrap_content"
                    android:layout_height="@dimen/dp_32"
                    android:layout_marginStart="@dimen/dp_12"
                    android:background="@drawable/selector_feedback_type_bg"
                    android:button="@null"
                    android:gravity="center"
                    android:paddingStart="@dimen/dp_14"
                    android:paddingEnd="@dimen/dp_14"
                    android:text="其他问题"
                    android:textColor="@drawable/selector_feedback_text_color"
                    android:textSize="@dimen/sp_14" />
            </RadioGroup>

            <TextView
                android:id="@+id/tv_feedback_content_title"
                android:layout_width="wrap_content"
                android:layout_height="wrap_content"
                android:layout_marginTop="@dimen/dp_20"
                android:text="问题描述"
                android:textColor="@color/color_1a1a1a"
                android:textSize="@dimen/sp_14"
                android:textStyle="bold"
                app:layout_constraintStart_toStartOf="parent"
                app:layout_constraintTop_toBottomOf="@id/rg_feedback_type" />

            <TextView
                android:layout_width="wrap_content"
                android:layout_height="wrap_content"
                android:text="*"
                android:textColor="@color/color_ff3838"
                android:textSize="@dimen/sp_14"
                app:layout_constraintStart_toEndOf="@id/tv_feedback_content_title"
                app:layout_constraintTop_toTopOf="@id/tv_feedback_content_title" />

            <androidx.appcompat.widget.AppCompatEditText
                android:id="@+id/et_feedback_content"
                android:layout_width="match_parent"
                android:layout_height="wrap_content"
                android:layout_marginTop="@dimen/dp_16"
                android:background="@drawable/shape_dfdfdf_line_cor8"
                android:gravity="start"
                android:hint="请输入详情内容"
                android:inputType="textMultiLine"
                android:maxLength="200"
                android:minHeight="@dimen/dp_150"
                android:paddingStart="@dimen/dp_12"
                android:paddingTop="@dimen/dp_14"
                android:paddingEnd="@dimen/dp_12"
                android:paddingBottom="@dimen/dp_14"
                android:textColor="@color/color_1a1a1a"
                android:textColorHint="@color/color_bcbcbc"
                android:textSize="@dimen/sp_14"
                app:layout_constraintTop_toBottomOf="@id/tv_feedback_content_title" />

            <TextView
                android:id="@+id/tv_text_count"
                android:layout_width="wrap_content"
                android:layout_height="wrap_content"
                android:layout_marginEnd="@dimen/dp_8"
                android:layout_marginBottom="@dimen/dp_8"
                android:text="0/200"
                android:textColor="@color/color_999999"
                android:textSize="@dimen/sp_10"
                app:layout_constraintBottom_toBottomOf="@id/et_feedback_content"
                app:layout_constraintEnd_toEndOf="@id/et_feedback_content" />

            <TextView
                android:id="@+id/tv_feedback_image_title"
                android:layout_width="wrap_content"
                android:layout_height="wrap_content"
                android:layout_marginTop="@dimen/dp_20"
                android:text="上传图片"
                android:textColor="@color/color_1a1a1a"
                android:textSize="@dimen/sp_14"
                android:textStyle="bold"
                app:layout_constraintStart_toStartOf="parent"
                app:layout_constraintTop_toBottomOf="@id/et_feedback_content" />

            <TextView
                android:layout_width="wrap_content"
                android:layout_height="wrap_content"
                android:text="（选填，最多可上传3张）"
                android:textColor="@color/color_999999"
                android:textSize="@dimen/sp_10"
                app:layout_constraintBottom_toBottomOf="@id/tv_feedback_image_title"
                app:layout_constraintStart_toEndOf="@id/tv_feedback_image_title"
                app:layout_constraintTop_toTopOf="@id/tv_feedback_image_title" />

            <androidx.recyclerview.widget.RecyclerView
                android:id="@+id/rv_image"
                android:layout_width="match_parent"
                android:layout_height="wrap_content"
                android:layout_marginTop="@dimen/dp_16"
                app:layout_constraintTop_toBottomOf="@id/tv_feedback_image_title" />

            <TextView
                android:id="@+id/tv_contact_info_title"
                android:layout_width="wrap_content"
                android:layout_height="wrap_content"
                android:layout_marginTop="@dimen/dp_20"
                android:text="联系方式"
                android:textColor="@color/color_1a1a1a"
                android:textSize="@dimen/sp_14"
                android:textStyle="bold"
                app:layout_constraintStart_toStartOf="parent"
                app:layout_constraintTop_toBottomOf="@id/rv_image" />

            <TextView
                android:layout_width="wrap_content"
                android:layout_height="wrap_content"
                android:text="（选填，可留下您的手机号、微信、邮箱）"
                android:textColor="@color/color_999999"
                android:textSize="@dimen/sp_10"
                app:layout_constraintBottom_toBottomOf="@id/tv_contact_info_title"
                app:layout_constraintStart_toEndOf="@id/tv_contact_info_title"
                app:layout_constraintTop_toTopOf="@id/tv_contact_info_title" />

            <androidx.appcompat.widget.AppCompatEditText
                android:id="@+id/et_contact_info"
                android:layout_width="match_parent"
                android:layout_height="wrap_content"
                android:layout_marginTop="@dimen/dp_16"
                android:background="@drawable/shape_dfdfdf_line_cor8"
                android:hint="请输入您的联系方式"
                android:lines="1"
                android:paddingStart="@dimen/dp_12"
                android:paddingTop="@dimen/dp_15"
                android:paddingEnd="@dimen/dp_12"
                android:paddingBottom="@dimen/dp_15"
                android:textColor="@color/color_1a1a1a"
                android:textColorHint="@color/color_bcbcbc"
                android:textSize="@dimen/sp_14"
                app:layout_constraintTop_toBottomOf="@id/tv_contact_info_title" />

        </androidx.constraintlayout.widget.ConstraintLayout>
    </androidx.core.widget.NestedScrollView>

    <androidx.constraintlayout.widget.ConstraintLayout
        android:id="@+id/layout_bottom"
        android:layout_width="match_parent"
        android:layout_height="wrap_content"
        android:paddingStart="@dimen/dp_16"
        android:paddingTop="@dimen/dp_9"
        android:paddingEnd="@dimen/dp_16"
        android:paddingBottom="@dimen/dp_30"
        app:layout_constraintBottom_toBottomOf="parent">

        <com.cheng.bole.widget.CommonShapeView
            android:id="@+id/btn_next"
            android:layout_width="match_parent"
            android:layout_height="@dimen/dp_46"
            android:text="提交"
            android:textColor="@color/white"
            android:textSize="@dimen/sp_15"
            android:textStyle="bold"
            app:csb_activeEnable="true"
            app:csb_cornerRadius="@dimen/dp_50"
            app:csb_fillColor="@color/color_125ffe"
            app:layout_constraintStart_toStartOf="parent"
            app:layout_constraintTop_toTopOf="parent" />
    </androidx.constraintlayout.widget.ConstraintLayout>

</androidx.constraintlayout.widget.ConstraintLayout>